%define upstream_name    Config-Perl-V
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module that will return you the output of
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
$conf = myconfig ()
    This function will collect the data described in the the hash structure
    manpage below, and return that as a hash reference. It optionally
    accepts an option to include more entries from %ENV. See the
    environment manpage below.

    Note that this will not work on uninstalled perls when called with
    '-I/path/to/uninstalled/perl/lib', but it works when that path is in
    '$PERL5LIB' or in '$PERL5OPT', as paths passed using '-I' are not known
    when the '-V' information is collected.

$conf = plv2hash ($text [, ...])
    Convert a sole 'perl -V' text block, or list of lines, to a complete
    myconfig hash. All unknown entries are defaulted.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changelog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 364702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 258801
- update to 0.15

* Fri Sep 16 2011 takashi <takashi> 0.140.0-1.mga2
+ Revision: 144204
- update to 0.14

* Tue Jan 18 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 22200
- cleaning spec file
- imported package perl-Config-Perl-V

